/*
 * TestEvent.java
 *
 * Created on November 29, 2004, 4:29 PM
 */

package DDMT.threads;

import jade.core.Agent;
import DDMT.PoolAgent.SenderBehaviour;

/**
 *
 * @author  jk3
 */
public class TestEvent implements Runnable{
        
        Agent myAgent;
        
        /** Creates a new instance of TestEvent */
    public TestEvent(Agent agent) {
        myAgent = agent;
    }
    
    public void run() {        
        myAgent.addBehaviour(new SenderBehaviour(new String("Running from ThreadPool, cool huh?")));
    }
    
}
